﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WSFargoLine.ServiceMeridian {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceMeridian.ServicioTransmeridianSoap")]
    public interface ServicioTransmeridianSoap {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/LiberacionBL", ReplyAction="*")]
        WSFargoLine.ServiceMeridian.LiberacionBLResponse LiberacionBL(WSFargoLine.ServiceMeridian.LiberacionBLRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/LiberacionSobreestadia", ReplyAction="*")]
        WSFargoLine.ServiceMeridian.LiberacionSobreestadiaResponse LiberacionSobreestadia(WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/RetiroCompleto", ReplyAction="*")]
        WSFargoLine.ServiceMeridian.RetiroCompletoResponse RetiroCompleto(WSFargoLine.ServiceMeridian.RetiroCompletoRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento ProcesoResult del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/Proceso", ReplyAction="*")]
        WSFargoLine.ServiceMeridian.ProcesoResponse Proceso(WSFargoLine.ServiceMeridian.ProcesoRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionBLRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionBL", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.LiberacionBLRequestBody Body;
        
        public LiberacionBLRequest() {
        }
        
        public LiberacionBLRequest(WSFargoLine.ServiceMeridian.LiberacionBLRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionBLRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public LiberacionBLRequestBody() {
        }
        
        public LiberacionBLRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionBLResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionBLResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.LiberacionBLResponseBody Body;
        
        public LiberacionBLResponse() {
        }
        
        public LiberacionBLResponse(WSFargoLine.ServiceMeridian.LiberacionBLResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionBLResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string LiberacionBLResult;
        
        public LiberacionBLResponseBody() {
        }
        
        public LiberacionBLResponseBody(string LiberacionBLResult) {
            this.LiberacionBLResult = LiberacionBLResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionSobreestadiaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionSobreestadia", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequestBody Body;
        
        public LiberacionSobreestadiaRequest() {
        }
        
        public LiberacionSobreestadiaRequest(WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionSobreestadiaRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public LiberacionSobreestadiaRequestBody() {
        }
        
        public LiberacionSobreestadiaRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionSobreestadiaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionSobreestadiaResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.LiberacionSobreestadiaResponseBody Body;
        
        public LiberacionSobreestadiaResponse() {
        }
        
        public LiberacionSobreestadiaResponse(WSFargoLine.ServiceMeridian.LiberacionSobreestadiaResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionSobreestadiaResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string LiberacionSobreestadiaResult;
        
        public LiberacionSobreestadiaResponseBody() {
        }
        
        public LiberacionSobreestadiaResponseBody(string LiberacionSobreestadiaResult) {
            this.LiberacionSobreestadiaResult = LiberacionSobreestadiaResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class RetiroCompletoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="RetiroCompleto", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.RetiroCompletoRequestBody Body;
        
        public RetiroCompletoRequest() {
        }
        
        public RetiroCompletoRequest(WSFargoLine.ServiceMeridian.RetiroCompletoRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class RetiroCompletoRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public RetiroCompletoRequestBody() {
        }
        
        public RetiroCompletoRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class RetiroCompletoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="RetiroCompletoResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.RetiroCompletoResponseBody Body;
        
        public RetiroCompletoResponse() {
        }
        
        public RetiroCompletoResponse(WSFargoLine.ServiceMeridian.RetiroCompletoResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class RetiroCompletoResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string RetiroCompletoResult;
        
        public RetiroCompletoResponseBody() {
        }
        
        public RetiroCompletoResponseBody(string RetiroCompletoResult) {
            this.RetiroCompletoResult = RetiroCompletoResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ProcesoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="Proceso", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.ProcesoRequestBody Body;
        
        public ProcesoRequest() {
        }
        
        public ProcesoRequest(WSFargoLine.ServiceMeridian.ProcesoRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class ProcesoRequestBody {
        
        public ProcesoRequestBody() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ProcesoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="ProcesoResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMeridian.ProcesoResponseBody Body;
        
        public ProcesoResponse() {
        }
        
        public ProcesoResponse(WSFargoLine.ServiceMeridian.ProcesoResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class ProcesoResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string ProcesoResult;
        
        public ProcesoResponseBody() {
        }
        
        public ProcesoResponseBody(string ProcesoResult) {
            this.ProcesoResult = ProcesoResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ServicioTransmeridianSoapChannel : WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServicioTransmeridianSoapClient : System.ServiceModel.ClientBase<WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap>, WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap {
        
        public ServicioTransmeridianSoapClient() {
        }
        
        public ServicioTransmeridianSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServicioTransmeridianSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServicioTransmeridianSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServicioTransmeridianSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMeridian.LiberacionBLResponse WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap.LiberacionBL(WSFargoLine.ServiceMeridian.LiberacionBLRequest request) {
            return base.Channel.LiberacionBL(request);
        }
        
        public string LiberacionBL(string pRegistro) {
            WSFargoLine.ServiceMeridian.LiberacionBLRequest inValue = new WSFargoLine.ServiceMeridian.LiberacionBLRequest();
            inValue.Body = new WSFargoLine.ServiceMeridian.LiberacionBLRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMeridian.LiberacionBLResponse retVal = ((WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap)(this)).LiberacionBL(inValue);
            return retVal.Body.LiberacionBLResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMeridian.LiberacionSobreestadiaResponse WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap.LiberacionSobreestadia(WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequest request) {
            return base.Channel.LiberacionSobreestadia(request);
        }
        
        public string LiberacionSobreestadia(string pRegistro) {
            WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequest inValue = new WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequest();
            inValue.Body = new WSFargoLine.ServiceMeridian.LiberacionSobreestadiaRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMeridian.LiberacionSobreestadiaResponse retVal = ((WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap)(this)).LiberacionSobreestadia(inValue);
            return retVal.Body.LiberacionSobreestadiaResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMeridian.RetiroCompletoResponse WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap.RetiroCompleto(WSFargoLine.ServiceMeridian.RetiroCompletoRequest request) {
            return base.Channel.RetiroCompleto(request);
        }
        
        public string RetiroCompleto(string pRegistro) {
            WSFargoLine.ServiceMeridian.RetiroCompletoRequest inValue = new WSFargoLine.ServiceMeridian.RetiroCompletoRequest();
            inValue.Body = new WSFargoLine.ServiceMeridian.RetiroCompletoRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMeridian.RetiroCompletoResponse retVal = ((WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap)(this)).RetiroCompleto(inValue);
            return retVal.Body.RetiroCompletoResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMeridian.ProcesoResponse WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap.Proceso(WSFargoLine.ServiceMeridian.ProcesoRequest request) {
            return base.Channel.Proceso(request);
        }
        
        public string Proceso() {
            WSFargoLine.ServiceMeridian.ProcesoRequest inValue = new WSFargoLine.ServiceMeridian.ProcesoRequest();
            inValue.Body = new WSFargoLine.ServiceMeridian.ProcesoRequestBody();
            WSFargoLine.ServiceMeridian.ProcesoResponse retVal = ((WSFargoLine.ServiceMeridian.ServicioTransmeridianSoap)(this)).Proceso(inValue);
            return retVal.Body.ProcesoResult;
        }
    }
}
